Two questions.

Discussion in '3DS - Flashcards & Custom Firmwares' started by LinkSoraZelda, May 27, 2016.

  1. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    So basically, I installed arm9loaderhax in February.
    Invalid/no a9lh.bin on root: turns off.
    No SD Card inserted: hangs at black screen.
    Screen-init is enabled.
    -------------
    2. I can't get online with any game or app. The last four numbers in the error code are 0119 if I remember.
    What I've tried: updating Luma to the latest nightly (which everyone claims to work)
    Restoring my home menu assets (restoring the HOME Menu, system font, and the multitasking apps to original 3DNUS originals)
    Updating through System Settings ("An error occured. Unable to update.")
    I really need help with this one.
     
  2. Scarlet

    Scarlet Rydeen

    Member
    GBAtemp Patron
    Scarlet is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,704
    1,700
    Jan 7, 2015
    United Kingdom
    Middleish North-Right
    I don't see where there are two questions here... Anyway, you've already tried updating, you should download the latest Luma release just in case. 5.5 just dropped so it's worth a try.

    If not, try running a system update again and get the full error code.
     
  3. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    1. I don't know what version and whose fork of arm9loaderhax I'm using.
    2. I've been blocked from the eShop and can't find a way around it
    Thanks for the advice though, I'll grab the new Luma.
     
    Last edited by LinkSoraZelda, May 27, 2016
  4. naivegirl2411

    naivegirl2411 GBAtemp Regular

    Member
    225
    42
    Oct 29, 2015
    OP Did you use Plailect's guide to install arm9lh? Also AFAIK the 3ds wont boot without sd card if arm9lh is installed. Lastly, depending on your CFW you may get told that an error has occurred when updating but if you check the FW version in system settings afterwards it would show that its been updated (previously saw this happen to some reinand users)
     
  5. Kyojin

    Kyojin #include "brain.h"

    Member
    467
    232
    Sep 7, 2015
    France
    1. You are probably using delebile's original implementation at the state it was in on February. Although there's really no need to update your A9LH installation if everything is working, keep in mind that it is completely possible and relatively easy to do so using SafeA9LHInstaller (say you want to switch to a non-screen-init fork for example).

    2. Let us know if using 5.5 fixed your online issue. Just to be sure, you are on 11.0, right? But the error screen says that you need to update to use online services?
     
  6. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    I used Plailect's very very old guide where OTPHelper didn't exist and you had to manually unbrick the 2.1 emunand.
    Also, I really didn't care about the actual version number, (I'm on 11.0 anyway), I just want to access the eShop. CIAs are starting to regain their use for me, haha.
     
    Last edited by LinkSoraZelda, May 27, 2016
  7. Scarlet

    Scarlet Rydeen

    Member
    GBAtemp Patron
    Scarlet is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,704
    1,700
    Jan 7, 2015
    United Kingdom
    Middleish North-Right
    I've followed that guide for all my systems, so your A9LH implementation shouldn't be the issue.
     
  8. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    Hmm? I wanted to know what fork I was using, this has nothing to do with the Luma3DS thing. However, @Kyojin is leaning me towards Delebile. Could you confirm?
     
  9. naivegirl2411

    naivegirl2411 GBAtemp Regular

    Member
    225
    42
    Oct 29, 2015
    IIRC that would be delebile's arm9lh. If you are on Luma now check if you selected the right settings (config should open on first boot, using select and booting afterwards). If you are using luma arm9lh on sysnand you should only need updated sysnand and autoboot sysnand checked

    — Posts automatically merged - Please don't double post! —

    OP i just checked the github page and delebile had a build made in april, could be a problem if youre looking for something specific. Maybe get into contact with plialect and check with him
     
  10. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    Okay, I'll talk to someone; thanks to all three of you by the way.
     
    naivegirl2411 likes this.
  11. Kyojin

    Kyojin #include "brain.h"

    Member
    467
    232
    Sep 7, 2015
    France
    Earliest revision I could find was on March 9, and it was also using delebile's original implementation (and AuReiNand, back when it was still the only compatible CFW), so I'd say that there is a 99% probability that the one you have is also delebile's. I don't think a fork was ever used or mentioned in the guide.

    Did the update to Luma 5.5 fix the online issues?
     
    Last edited by Kyojin, May 27, 2016
  12. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    Ha, I guess it wasn't his guide after all if it's March, and I compiled right before the web compiler was released. And also it was basically a "Part 1" which was SD backup, "Part 2", which was formatting emunand twice and downgrading; "Part 3" which was running a .bat file on the emunand and hex editing certain parts, and "part 4", compiling arm9loaderhax.3dsx. Although, it doesn't matter much. I'm pretty sure I'm using Delebile's build. Thanks for the help.
     
    Last edited by LinkSoraZelda, May 27, 2016
    Kyojin likes this.
  13. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    Updating to 5.5 didn't work. Still getting the "An error occured. Unable to update." message when trying to update.
     
  14. SomeGamer

    SomeGamer Within Hyrule Castle

    Member
    5,729
    2,676
    Dec 19, 2014
    Hungary
    Do you have Tubehax DNS on?
     
  15. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    No DNS.
     
  16. SomeGamer

    SomeGamer Within Hyrule Castle

    Member
    5,729
    2,676
    Dec 19, 2014
    Hungary
    I'd say that updating A9LH might fix your problem. Not sure though.
     
  17. Kyojin

    Kyojin #include "brain.h"

    Member
    467
    232
    Sep 7, 2015
    France
    The "An error occured. Unable to update." error message that you get, is it upon looking for updates through the System Menu, or does it succeed to find an update but fails to install it?
     
  18. LinkSoraZelda
    OP

    LinkSoraZelda GBAtemp Advanced Maniac

    Member
    1,970
    617
    Aug 12, 2015
    United States
    Land of the Rising Orange
    Hmm? I'm trying through System Settings. However, the bar doesn't even start to fill after around 20 seconds and brings the message up.
     
    Last edited by LinkSoraZelda, May 28, 2016
  19. Quantumcat

    Quantumcat Dead and alive

    Member
    9,890
    5,219
    Nov 23, 2014
    Australia
    Canberra, Australia
    Can you update manually using 11.0 cias from 3DSNUS and sysupdater?